- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions

# QToolTip Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qtooltip.h.

`#include <qtooltip.h>`

List of all members.

## Static Public Member Functions
static void | showText (const QPoint &pos, const QString &text, QWidget *w=0)
static void | showText (const QPoint &pos, const QString &text, QWidget *w, const QRect &rect)
static void | hideText ()
static bool | isVisible ()
static QString | text ()
static QPalette | palette ()
static void | setPalette (const QPalette &)
static QFont | font ()
static void | setFont (const QFont &)

## Member Function Documentation

static void showText | ( | const QPoint & | pos,
|  | const QString & | text,
|  | QWidget * | w = `0`
| ) |  | `[static]`

Search for all occurrences

static void showText | ( | const QPoint & | pos,
|  | const QString & | text,
|  | QWidget * | w,
|  | const QRect & | rect
| ) |  | `[static]`

Search for all occurrences

static void hideText | ( |  | ) | `[inline, static]`

Search for all occurrences

Definition at line 61 of file qtooltip.h.

    { showText(QPoint(), QString()); }

static bool isVisible | ( |  | ) | `[static]`

Search for all occurrences

static QString text | ( |  | ) | `[static]`

Search for all occurrences

static QPalette palette | ( |  | ) | `[static]`

Search for all occurrences

static void setPalette | ( | const QPalette & |  | ) | `[static]`

Search for all occurrences

static QFont font | ( |  | ) | `[static]`

Search for all occurrences

static void setFont | ( | const QFont & |  | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qtooltip.h

QToolTip QToolTip QToolTip QToolTip QToolTip QToolTip QToolTip QToolTip QToolTip QToolTip
QToolTip QToolTip QToolTip QToolTip QToolTip QToolTip QToolTip QToolTip QToolTip QToolTip